import { EventEmitter, OnInit } from '@angular/core';
import { flexDrtnType, jstfCntnType } from '../types/baseType';
import { TabService } from './tab.service';
import * as i0 from "@angular/core";
declare type tabType = 'nav-tabs' | 'nav-pills' | 'nav-fill' | flexDrtnType | jstfCntnType;
export declare class TabComponent implements OnInit {
    private tabsrvc;
    links: tablink[];
    clss: tabType[];
    evnt: EventEmitter<any>;
    constructor(tabsrvc: TabService);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    chng(id: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabComponent, "ngb-tab", never, { "links": "lnks"; "clss": "clss"; }, { "evnt": "evnt"; }, never, ["*"]>;
}
export interface tablink {
    id: number;
    nmbr: string;
    actv: boolean;
    dsbl: boolean;
    chnl: number;
    href: string;
}
export {};
